<?php

namespace App\Model;

final class SoftwareTypes
{
    public const string OPERATIVE_SYSTEM = 'operative-system';
    public const string FILE = 'file';
    public const string APPLICATION = 'application';

    private const array SOFTWARE_TYPES = [
        self::OPERATIVE_SYSTEM => 'Sistema Operativo',
        self::FILE => 'Fichero',
        self::APPLICATION => 'Aplicación',
    ];

    public static function getSoftwareTypes(): array
    {
        return self::SOFTWARE_TYPES;
    }

    public static function getSoftwareType(string $software): ?string
    {
        return self::SOFTWARE_TYPES[$software] ?? null;
    }

    public static function getSoftwareTypeKeys(): array
    {
        return array_keys(self::SOFTWARE_TYPES);
    }
}